function coordinates = f_bvh_to_coordinates(bvhdata,skel)
%F_BVH_TO_COORDINATES(BVHDATA,SKEL) Returns joint coordinates of a bvh motion.
%   This version is slow, but quite general.

% Copyright (c) 2015, Klaus Förger

number_of_frames = size(bvhdata,1);
number_of_joints = length(skel.tree);
coordinates = zeros(number_of_frames,3*number_of_joints);

for i= 1 : number_of_frames
    temp = skel2xyz(skel,bvhdata(i,:));
    temp = temp';
    coordinates(i,:) = temp(:);
end
