function [ quaternions ] = f_calculate_quaternions( bvhdata )
%F_CALCULATE_QUATERNIONS(BVHDATA) Returns joint rotations as quaternions.

% Copyright (c) 2015, Klaus Förger

over_f(:, 4:size(bvhdata, 2)) = bvhdata(:, 4:size(bvhdata, 2)) > 180;
bvhdata(over_f) = bvhdata(over_f) - 360;

quat_num = (size(bvhdata, 2) / 3) - 1;

quaternions = zeros(size(bvhdata, 1), quat_num * 4);
for i2 = 1 : quat_num
    quaternions(:, (i2-1)*4+1:(i2-1)*4+4) = f_SpinCalc('EA312toQ', bvhdata(:, (i2-1)*3+4:(i2-1)*3+6), 0.0001, 0);
end

quaternions = f_fix_quaternions(quaternions);

end
