function [ quat ] = f_fix_quaternions( quat )
%F_FIX_QUATERNIONS(QUATERNIONS) Returns quaternions with swaps fixed

% Copyright (c) 2015, Klaus Förger

quat_num = size(quat, 2) / 4;

i1 = 1; % Special case for hips
i2 = 1;
if (quat(i2, (i1-1)*4+2) < 0)
    quat(i2, (i1-1)*4+1:(i1-1)*4+4) = quat(i2, (i1-1)*4+1:(i1-1)*4+4) * -1;
end

for i1 = 2 : quat_num % For other joints w component is usually close to 1
    i2 = 1;
    if (quat(i2, (i1-1)*4+4) < 0)
        quat(i2, (i1-1)*4+1:(i1-1)*4+4) = quat(i2, (i1-1)*4+1:(i1-1)*4+4) * -1;
    end
end

% Checking that the quaternion values do not jump suddenly from frame to
% frame and inverting them if they do
for i1 = 1:4:(quat_num*4)-1
    a = sum(abs(quat(2:end, i1:i1+3) - quat(1:end-1, i1:i1+3)), 2);
    b = sum(abs(quat(2:end, i1:i1+3) + quat(1:end-1, i1:i1+3)), 2);
    c = mod(cumsum(b < a), 2) * -2 + 1;
    quat(2:end, i1:i1+3) = quat(2:end, i1:i1+3) .* repmat(c, 1, 4);
end

end
