function [ velocity ] = f_overall_velocity_for_motion( xyz )
%F_OVERALL_VELOCITY_FOR_MOTION(COORDINATES)
%   Returns a filtered velocity for each frame

% Copyright (c) 2015, Klaus Förger

velocity = zeros(size(xyz, 1), size(xyz, 2)/3);
for i2 = 1 : size(xyz, 1) - 1
    for i3 = 1 : 3 : size(xyz, 2)
        velocity(i2, (i3+2)/3) =  sqrt( ...
            (xyz(i2, i3+0) - xyz(i2+1, i3+0))^2 ...
            + (xyz(i2, i3+1) - xyz(i2+1, i3+1))^2 ...
            + (xyz(i2, i3+2) - xyz(i2+1, i3+2))^2 ...
            );
    end
end

velocity = medfilt1(velocity, 9);
velocity = mean(velocity, 2);

end

