function [ new_bvhdata ] = f_swap_channels_prewarped( channels_to_swap, m1, m2 )
%F_SWAP_CHANNELS_PREWARPED(CHANNELS_TO_SWAP,M1,M2) Swaps quaternion channels
%
%   CHANNELS_TO_SWAP is a array of the indices to swap.
%   M1 and M2 are the two motions
%   Returns BVH data for the new motion.

% Copyright (c) 2015, Klaus Förger

m1.warped_quaternions(:, channels_to_swap) = m2.warped_quaternions(:, channels_to_swap);
m1.quaternions = m1.warped_quaternions;
m1.bvhdata = m1.warped_bvh;
time_transfer_inverted = interp1(m1.time_transfer, 1:size(m1.bvhdata, 1), 1:max(m1.time_transfer));
new_bvhdata = f_warp_motion(time_transfer_inverted, m1);

end

